/*竖屏*/
@media screen and (max-aspect-ratio: 13/9) {
  html {
    font-size: calc(100vw / 750 * 100);
  }

  @media screen and (min-width: 750px) {
    html {
      font-size: 100px;
      max-width: 750px;
    }
    body{
      max-width: 750px;
    }
  }
}
/*横屏*/
@media screen and (min-aspect-ratio: 13/9) {
  html {
    font-size: calc(100vmax / 750 * 100);
  }

  html .lockScreenTip {
    display: block;
  }

  html.input_focus .lockScreenTip {
    display: none;
  }

  @media screen and (min-width: 750px) {
    html {
      font-size: 100px;
      max-width: 750px;
    }
    body{
      max-width: 750px;
    }
  }
}
html,
body{
  margin: 0 auto;
  padding: 0;
  height: 100%;
  line-height: normal;
  font-weight: normal;
}
*{
  -webkit-touch-callout:none; /*系统默认菜单被禁用*/ 
  -webkit-user-select:none; /*webkit浏览器*/  
  -khtml-user-select:none; /*早期浏览器*/
  -moz-user-select:none;/*火狐*/
  -ms-user-select:none; /*IE10*/
  user-select:none;
}
div{
	box-sizing: border-box;
}
.main{
  padding: 0 0 1.6rem;
  height: 100%;
  box-sizing: border-box;
  position: relative;
}
.heade{
  height: 1rem;
  line-height: 1rem;
  text-align: center;
  font-size: 0.32rem;
  position: absolute;
  left: 0;
  top: 0;
  width: 100%;
}
.logo-box{
  /* z-index: 999999; */
  position: absolute;
  z-index: 2;
  top: 0;
  right: .32rem;
}
.logo-box img{
  /* width: 2.1rem; */
  filter:alpha(opacity=80); 
  -moz-opacity:0.8; 
  -khtml-opacity: 0.8; 
  opacity: 0.8;
}
.end-time{
  position: absolute;
  z-index: 2;
  bottom: 1.8rem;
  right: 0.2rem;
  font-size: 0.24rem;
  color: #999;
}
/* 地图 */
#container {
  width: 100%;
  height: 100%; 
}
.text-icon{
  padding: 0.1rem 0.2rem;
  background-color: #ff6e6e;
  color: #fff;
  font-size: 0.28rem;
  border-radius: 0.32rem;
  white-space: nowrap;
}
/* .infowindow{
  padding: .24rem .32rem;
    min-width: 5.86rem;
    max-width: 6.4rem;
    height: auto;
    box-sizing: border-box;
    background: rgba(0,0,0,.9);
    border-radius: .08rem;
    display: -webkit-box;
    display: -webkit-flex;
    display: flex;
    -webkit-box-pack: center;
    -webkit-justify-content: center;
    justify-content: center;
    -webkit-align-content: center;
    align-content: center;
    -webkit-box-orient: vertical;
    -webkit-box-direction: normal;
    -webkit-flex-direction: column;
    flex-direction: column;
} */
/* 张士建的css */
.amap-icon img {
  width: 35px;
  height: 35px;
}

.amap-marker-content img {
  position: absolute !important;
}


.node {
  color: #fff;
  width: auto;
  padding: 5px 8px;
  line-height: 18px;
  box-sizing: border-box;
  height: 30px;
  position: relative;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 20px;
  border: 1px #FA6869 solid;
  background-color: #FA6869;
  white-space: nowrap;
  font-size: 14px;
}

.node:before {
  content: " ";
  position: absolute;
  top: 100%;
  left: calc(50% - 8px);
  width: 0;
  height: 0;
  border-left: 8px solid transparent;
  border-top: 8px solid #FA6869;
  border-right: 8px solid transparent;
}


.nodetrack {
  color: #fff;
  width: auto;
  padding: 5px 8px;
  line-height: 18px;
  box-sizing: border-box;
  height: 30px;
  position: relative;
  -moz-border-radius: 10px;
  -webkit-border-radius: 10px;
  border-radius: 20px;
  border: 1px #FDAA78 solid;
  background-color: #FDAA78;
  white-space: nowrap;
  font-size: 14px;
}

.nodetrack:before {
  content: " ";
  position: absolute;
  top: 100%;
  left: calc(50% - 8px);
  width: 0;
  height: 0;
  border-left: 8px solid transparent;
  border-top: 8px solid #FDAA78;
  border-right: 8px solid transparent;
}

.node1 {
  width: 100px;
  height: 100px;
  display: flex;
  flex-direction: column;
  align-items: center;
  background-color: #fb5151;
  color: #fff;
  border-radius: 50%;
  justify-content: center;
  font-size: 14px;
}
.polygonnode{
  background-color: #9f8888;
  border: 1px #9f8888 solid;
}
.polygonnode:before {
  content: " ";
  position: absolute;
  top: 100%;
  left: calc(50% - 8px);
  width: 0;
  height: 0;
  border-left: 8px solid transparent;
  border-top: 8px solid #9f8888;
  border-right: 8px solid transparent;
}
#distance {
  font-size: 20px;
  margin: 10px;
}

.tipbox {
  padding: .24rem .32rem;
  min-width: 5.86rem;
  max-width: 6.4rem;
  height: auto;
  box-sizing: border-box;
  background: rgba(0, 0, 0, .9);
  /* border-radius: 10px; */
  /* display: flex;
  justify-content: center;
  align-content: center;
  flex-direction: column; */
  color: #fff;
  position: relative;
  right: 0;
  top: 0;
}

.box_tle {
  font-size: 0.28rem;
  color: #cacaca;
  padding-bottom: 0.2rem;
  font-weight: 400;
}

.shin {
  margin: 0.14rem 0 0.24rem;
  height: 0.02rem;
  width: 100%;
  background: rgba(255, 255, 255, .5)
}

.box_cent {
  font-size: 0.28rem;
  line-height: 0.4rem;
  /* font-weight: 400; */
}

.amap-info-content {
  background-color: rgba(0, 0, 0, .9);
  padding: 0;
}
.amap-info-close{
  width: 0.4rem;
  height: 0.4rem;
  top: 0.32rem;
  font-size: 0.3rem;
  color: #e4dfdf;
  font-weight: 300;
}
.bottom-center .amap-info-sharp {
  border-top: 8px solid rgba(0, 0, 0, .9);
}

.fonred {
  color: #ff5e5e;
}

.fonyel {
  color: #ff7528;
}

.box_cent1 {
  display: flex;
  justify-content: space-between;
  align-items: center;
}

.box_cent1 img {
  width: 0.48rem;
  height: 0.48rem;
  margin-right: 0.08rem;
}

/* 页面底部内容 */
.footer{
  box-sizing: content-box;
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  width: 100%;
  height: 1.2rem;
  background-color: #f8f8f8;
  padding: 0.1rem 0 0.3rem;
}
.footer-box{
  height: 1.2rem;
  display: flex;
  justify-content: space-around;
  align-items: center;
}
.footer-item{
  text-align: center;
  position: relative;
}
.footer-item .img-box{
  /* width: 0.48rem; */
  height: 0.48rem;
}
.footer-item img{
  width: 0.48rem;
  height: 0.48rem;
  vertical-align: top;
}
.footer-item .vicelist{
  color: #222;
  font-size: 0.28rem;
}
.footer-item  .listNum{
  position: absolute;
  top: 0.2rem;
  margin-left: 0.5rem;
  border-radius: .17rem;
  padding: 0 .08rem;
  align-items: center;
  color: #fff;
  font-size: .2rem;
  background-color: #999;
  word-break: keep-all;
  display: none;
}

/* 弹窗 */
.model-box{
  display: none;
  position: absolute;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  z-index: 99999;
  background-color: rgba(0,0,0,.5);
}
.model-box .model-content{
  border-radius: .16rem .16rem 0 0;
  position: absolute;
  z-index: 3;
  top: 2.16rem;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  overflow: hidden;
  animation: modal-show-animation .3s ease-out;
}
@-webkit-keyframes modal-show-animation{
	0%{top:10.16rem;}
	25%{top:8.16rem;}
	50%{top:6.16rem;}
	75%{top:4.16rem;}
	100%{top:2.16rem;}
}
.model-content .m-title{
  padding: 0.32rem 0.2rem 0.28rem;
  display: flex;
  justify-content: space-between;
}
.model-content .m-title .closeModel{
  width: 0.5rem;
  height: 0.5em;
}
.model-content .m-title .info-m{
  font-size: 0.28rem;
  position: relative;
}
.model-content .m-title .info-m img{
  width: 0.28rem;
  height: 0.28rem;
  margin-left: 0.1rem;
  vertical-align: middle;
}
.model-content .info-m .info-m-text{
  position: absolute;
  right: 0;
  top: 0.7rem;
  background-color: #434343;
  color: #ccc;
  padding: .14rem .24rem;
  border-radius: .08rem;
  z-index: 3;
  display: none;
}
.model-content .info-m .info-m-text .empty-info{
  display: flex;
  justify-content: space-between;
  align-items: center;
  position: relative;
}
.model-content  .info-m .info-m-text .empty-info:after {
  content: "";
  display: inline-block;
  position: absolute;
  right: -0.0rem;
  top: -0.2rem;
  width: .2rem;
  height: .2rem;
  background-color: #434343;
  -webkit-transform: rotate(
  45deg
  );
    transform: rotate(
  45deg
  );
  -webkit-transform-origin: center center;
  transform-origin: center center;
  /* background-color: inherit; */
}
.model-content .m-title .info-m .info-m-text .empty-info>div{
  color: #fff;
  font-size: 0.25rem;
  word-break: keep-all;
}
.model-content .m-title .info-m .info-m-text .empty-info>img{
  width: .2rem;
  height: .2rem;
  margin-left: 0.2rem;
}
.model-content .m-title .title{
  font-size: .34rem;
  font-weight: 700;
}
.area-content-box{
  width: 100%;
}
.area-content{
  display: flex;
  justify-content: flex-start;
  align-items: center;
  overflow-x: auto;
  overflow-y: hidden;
  padding: 0 0.32rem;
  scrollbar-width: none; /* firefox */
  -ms-overflow-style: none; /* IE 10+ */
}
.area-content::-webkit-scrollbar {
  display: none; 
}
.area-content .area-item{
  font-size: 0.3rem;
  color: #222;
  padding: 0.05rem 0.2rem;
  border: 0.02rem solid transparent;
  margin-left: 0.2rem;
  white-space: nowrap;
}

.area-content .active{
  border-radius: .08rem;
  border: .02rem solid #f04142;
  box-sizing: border-box;
  color: #f04142;
}
.area-content .area-item:first{
  padding-left: 0.32rem;
}

.m-list{
  position: absolute;
  top: 2rem;
  left: 0;
  right: 0;
  bottom: 0;
  overflow-y: auto;
  scrollbar-width: none; /* firefox */
  -ms-overflow-style: none; /* IE 10+ */
  padding-bottom: 0.4rem;
}
.m-list::-webkit-scrollbar {
  display: none; 
}
.m-list .m-list-section{
  padding: 0 .32rem;
  margin-bottom: .48rem;
}
.m-list-section-title{
  font-size: .24rem;
  line-height: .24rem;
  color: #999;
}
.m-list-section-content .m-list-item{
  position: relative;
  display: -webkit-box;
  display: -webkit-flex;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  flex-direction: row;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  justify-content: space-between;
  -webkit-box-align: center;
  -webkit-align-items: center;
  align-items: center;
  margin-bottom: .02rem;
  min-height: 1.32rem;
  padding: .2rem 0;
}
.m-list-item-info{
  flex-grow: 1;
    min-width: 0;
}
.m-list-item-name {
  margin-bottom: .04rem;
  font-size: .32rem;
  font-weight: 700;
  line-height: .48rem;
  color: #222;
}
.m-list-item-location {
  display: -webkit-box;
  display: -webkit-flex;
  display: flex;
  -webkit-box-orient: horizontal;
  -webkit-box-direction: normal;
  -webkit-flex-direction: row;
  flex-direction: row;
  color: #505050;
}
.m-list-item-distance{
  display: inline-block;
  position: relative;
  margin-right: .16rem;
  padding-right: .16rem;
  font-size: .28rem!important;
  line-height: .4rem;
}
.m-list-item-address {
  display: -webkit-box;
  overflow: hidden;
  -webkit-line-clamp: 1;
  -webkit-box-orient: vertical;
  font-size: .28rem;
  line-height: .4rem;
}
.m-list-item-icon-1 {
  background:url('../img/qz.png') no-repeat;
}
.m-list-item-icon-2 {
  background:url('../img/foot1.png') no-repeat;
}
.m-list-item-icon {
  -webkit-flex-shrink: 0;
  flex-shrink: 0;
  display: inline-block;
  width: .48rem;
  height: .48rem;
  background-size: contain;
}
.m-list-item-icon::after{
  content: "";
    position: absolute;
    bottom: 0;
    left: 0;
    -webkit-transform: scaleY(.5);
    transform: scaleY(.5);
    width: 100%;
    height: .02rem;
    background: #e8e8e8;
}
.m-list-check-more {
  margin-top: .4rem;
  text-align: center;
  font-size: .3rem;
  line-height: .42rem;
  color: #222;
}
.m-list-check-more  span {
  position: relative;
  padding-right: .4rem;
}
.m-list-check-more  span::after{
  content: "";
    position: absolute;
    top: 50%;
    right: 0;
    -webkit-transform: translateY(-50%);
    transform: translateY(-50%);
    width: .36rem;
    height: .36rem;
    background: url('../img/down.png') no-repeat 50%;
    background-size: contain;
}


/* 社区弹窗 */
.model-box-detail{
  position: absolute;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 99999;
  display: none;
}
.model-box-detail .model-content{
}
.model-box-detail .model-content .m-title{
  padding: 0.32rem 0 0;
}
.model-box-detail .model-content .m-title .closeModel{
  width: 0.5rem;
  height: 0.5em;
}
.model-box-detail .md-container {
  padding: 0 .32rem;
  position: absolute;
  max-height: 10rem;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: #fff;
  overflow: hidden;
  -webkit-animation-name: modal-detail-animation;
  animation-name: modal-detail-animation;
  -webkit-animation-timing-function: cubic-bezier(.32,.94,.6,1);
  animation-timing-function: cubic-bezier(.32,.94,.6,1);
  -webkit-animation-duration: .3s;
  animation-duration: .3s;
  padding-bottom: env(safe-area-inset-bottom);
  padding-bottom: constant(safe-area-inset-bottom);
}
@-webkit-keyframes modal-detail-animation{
	0%{bottom: -5rem;}
	50%{bottom:-2rem;}
	100%{bottom:0rem;}
}
.model-box-detail .md-container .md-title {
  display: -webkit-box;
  display: -webkit-flex;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  align-items: center;
  /* justify-content: space-around; */
  margin-top: .34rem;
  margin-bottom: .16rem;
}
.model-box-detail .md-container .md-title .md-title-tip{
  display: flex;
  margin-left: 0.25rem;
}
.model-box-detail .md-container .md-title span{
  box-sizing: border-box;
  margin-left: .16rem;
  font-size: 0.2rem;
  background-color: #f9deddbf;
  padding: 0 0.1rem;
  word-break: keep-all;

}
.model-box-detail .md-container .md-title .md-qz{
  color: #ec1b1b;
  margin-right: 0.1rem;
}
.model-box-detail .md-container .md-title .md-zf{
  color: #e08a3fe8;
  background-color: #f5f5f5;
}
.model-box-detail .md-container .md-title-name{
  font-size: .4rem;
  font-weight: 400;
}
.model-box-detail .md-container .md-desc{
  color: #505050;
  font-size: .32rem;
  line-height: .4rem;
  padding-bottom: 0.7rem;
}
.model-box-detail .md-container .md-desc .hight-risk {
  color: #f04142;
}
.model-box-detail .md-container .md-desc .md-e{
  margin-right: .16rem;
  padding-right: .16rem;
  border-right: .02rem solid #d8d8d8;
}

/* 分享弹窗 */
.share-mask{
  position: fixed;
  top: 0;
  bottom: 0;
  left: 0;
  right: 0;
  background-color: rgba(0,0,0,.64);
  z-index: 99999999;
  display: none;
}
.share-mask-tips{
  position: absolute;
  top: 0.3rem;
  right: .16rem;
  width: 3rem;
  height: 1.22rem;text-align: center;
  object-fit: contain;
  font-size: 0.28rem;
  background-color: #fff;
  padding-top: 0.2rem;
  border-radius: 0.1rem;
}
.share-mask-tips::after{
  content: "";
  display: inline-block;
  position: absolute;
  right: 0.22rem;
  top: -0.13rem;
  width: 0.3rem;
  height: .3rem;
  background-color: #fff;
  -webkit-transform: rotate(
  45deg
  );
    transform: rotate(
  45deg
  );
  -webkit-transform-origin: center center;
  transform-origin: center center;
}

/* 患者轨迹弹窗 */
.model-trajectory{
  display: none;
  position: absolute;
    z-index: 999999;
    top:4.16rem;
    left: 0;
    right: 0;
    bottom: 0;
    background-color: #fff;
    overflow: hidden;
    -webkit-animation-name: modal-trajectory-animation;
    animation-name: modal-trajectory-animation;
    -webkit-animation-timing-function: cubic-bezier(.32,.94,.6,1);
    animation-timing-function: cubic-bezier(.32,.94,.6,1);
    -webkit-animation-duration: .3s;
    animation-duration: .3s;
    padding-bottom: env(safe-area-inset-bottom);
}
@-webkit-keyframes modal-trajectory-animation{
  0%{top:10.16rem;}
	25%{top:8.16rem;}
	50%{top:6.16rem;}
	75%{top:5.16rem;}
	100%{top:4.16rem;}
}
.model-trajectory .m-tra-container {
  padding: .32rem .32rem 0 .32rem;
}
.model-trajectory .m-tra-header {
  display: -webkit-box;
  display: -webkit-flex;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  align-items: center;
}
.model-trajectory .m-tra-header  img{
  height: 0.6rem;
}
.model-trajectory   .m-tra-title{
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  align-items: center;
  margin-top: .24rem;
  margin-bottom: .16rem;
}
.model-trajectory .m-tra-title .m-tra-title-name {
  font-size: .4rem;
  font-weight: 700;
}
.model-trajectory .m-tra-title  .md-title-tip .md-zf{
  margin-left: 0.32rem;
  font-size: 0.2rem;
  background-color: #f9deddbf;
  padding: 0 0.1rem;
  word-break: keep-all;
  color: #e08a3fe8;
  background-color: #f5f5f5;
}
.model-trajectory  .m-tra-desc {
  color: #505050;
  font-size: .32rem;
  line-height: .4rem;
  padding-bottom: .32rem;
}
.model-trajectory  .m-tra-desc  .m-tra-item-distance{
  margin-right: .16rem;
  padding-right: .16rem;
  border-right: .02rem solid #d8d8d8;
}
.model-trajectory .m-tra-patient-list {
  max-height: 6.8rem;
  overflow-y: auto;
  margin: 0 -.32rem -.16rem;
  background: #fafafa;
  border-top: 1px solid #eee;
}
.model-trajectory .m-tra-patient-list .m-tra-count {
  position: relative;
  border-radius: 0;
  font-size: .24rem;
  color: #999;
  background-color: #fff;
  padding: .28rem .32rem 0;
}
.model-trajectory .m-tra-patient-list .patient-info{
  padding: .32rem 0 .5rem;
    line-height: .52rem;
    font-size: .3rem;
    background: #fff;
    box-sizing: border-box;
}
.model-trajectory .patient-info .patient-info-block {
  position: relative;
  /* max-height: 411px; */
  overflow: hidden;
}
.model-trajectory .patient-info .patient-info-track {
  margin: 0 .4rem .24rem .32rem;
  box-sizing: border-box;
}
.model-trajectory .patient-info  .patient-info-track-header {
  display: -webkit-box;
  display: -webkit-flex;
  display: flex;
  margin-bottom: .18rem;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  justify-content: space-between;
}
.model-trajectory .patient-info-track-header .patient-info-track-header div {
  background: url('../img/ren.png') no-repeat 0;
  background-size: .4rem;
  padding-left: .48rem;
  font-weight: 700;
  color: #222;
}
.model-trajectory .patient-info-name-inner span {
  display: inline-block;
  margin: .04rem 0 0 .12rem;
  padding: .08rem .12rem .06rem;
  border-radius: .04rem;
  line-height: 1;
  font-weight: 400;
  font-size: .24rem;
  color: #f04142;
  background-color: #fff2f2;
  vertical-align: top;
  margin-top: .07rem;
}
.model-trajectory .patient-info-track-header a {
  color: #222;
  padding-right: .32rem;
  background-size: .32rem;
  text-decoration: none;
  outline: 0;
}
.patient-info-track-list{
  border-left: .04rem solid #f2f2f2;
  padding-left: .24rem;
}
.patient-info-track-list>div {
  position: relative;
  padding: .2rem .24rem;
  background-color: #f8f8f8;
  border-radius: .08rem;
  margin-bottom: .16rem;
}
.model-trajectory .patient-info-track-list>div:before {
  content: "";
  background: url('../img/liucheng.png') no-repeat;
  background-size: cover;
  position: absolute;
  left: -.26rem;
  top: .36rem;
  display: block;
  width: .16rem;
  height: .16rem;
  -webkit-transform: translateX(-50%);
  transform: translateX(-50%);
}
.patient-info-track-list .patient-info-track-date{
  /* border-left: .04rem solid #f2f2f2; */
  /* padding-left: .24rem; */
}
.model-trajectory .patient-info-track-detail {
  margin-top: .04rem;
  color: #707070;
}
.model-trajectory .patient-info-more-back {
  margin-top: .12rem;
  margin-bottom: 0;
}

/* 时间选择弹窗 */
.filter-box{
  position: absolute;
  z-index: 2;
  top: .32rem;
  left: .32rem;
  -webkit-box-pack: center;
  -webkit-justify-content: center;
  justify-content: center;
}
.filter-box .filter-date{
  display: flex;
  align-items: center;
  width: auto;
  height: .64rem;
  padding-left: .2rem;
  padding-right: .12rem;
  background-color: #fff;
  border-radius: .04rem;
  color: #222;
  font-size: .28rem;
  box-shadow: 0 0.06rem 0.2rem 0 rgb(0 0 0 / 10%);
}
.filter-box .filter-date i{
  display: block;
  width: .4rem;
  height: .4rem;
  background: url('../img/down.png') no-repeat;
  background-size: 100% 100%;
  margin-top: -.02rem;
  margin-right: 0.05rem;
}
.filter-model{
  display: none;
  position: absolute;
  z-index: 999999;
  left: 0;
  right: 0;
  top: 0;
  bottom: 0;
  background-color: rgba(0,0,0,.5); 
}
.filter-model .filter-date-options-modal{
  position: absolute;
  top: 0;
  left: 0;
  width: 100%;
  color: #222;
  font-size: .3rem;
  background-color: #fff;
}
.filter-model .filter-date-options-modal .filter-date-options-modal-row{
  padding: .3rem .34rem .3rem .4rem;
  display: -webkit-box;
  display: -webkit-flex;
  display: flex;
  -webkit-box-align: center;
  -webkit-align-items: center;
  align-items: center;
  -webkit-box-pack: justify;
  -webkit-justify-content: space-between;
  justify-content: space-between;
  background-color: #fff;
}
.filter-model .filter-date-options-modal .filter-date-options-modal-row.active {
  color: #ff5e5e;
  font-weight: 700;
}
.filter-model .filter-date-options-modal .filter-date-options-modal-row.active i {
  display: block;
  width: .36rem;
  height: .36rem;
  background: url('../img/select.png') no-repeat;
  background-size: 100% 100%;
}